Bug 96072 - General format lost on export to XLSX with locale using "Standard" as name for General format (FR, DE, SP...)
Summary: General format lost on export to XLSX with locale using "Standard" as name fo...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.0.1 target:5.0.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-11-25 18:47 UTC by Laurent BP
Modified: 2016-10-25 19:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file with Japenese as language for Default Number Format (16.56 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-11-25 18:47 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2015-11-25 18:47:26 UTC
Created attachment 120798 [details]
Sample file with Japenese as language for Default Number Format

Description: Number Format Language of axis values are not saved on export to XLSX

Steps to reproduce:
1. Set Default cell style, Numbers > Language to a language not using "General" as translation for Standard number format. French, Italian, Japanese and German are using "Standard", Spanish is using "Estandar". More locales may be affected.
2. Create an XY chart
3. File > Save in ODS (see attached file)
4. File > Save as in XLSX
5. File > Reload

Actual behavior:
Number format name "Standard" is misinterpreted for axis values: 100 is displayed as 0tan29a190029

Expected behavior:
Axis values should be the same

Reproduce with:
- Version: 5.1.0.0.alpha1+
Build ID: 229583f298b9de05e1ad1727e233d597995099e3-GL
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-22_23:09:05
Locale: fr-FR (fr_FR)
- Version: 5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale : fr-FR (fr_FR)

NOT reproduce with:
- Version: 4.4.6.3
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale : fr_FR
Comment 1 Laurent BP 2015-11-25 20:01:03 UTC
Reproduce with:
- Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale : fr-FR (fr_FR)
Comment 2 Laurent BP 2015-11-25 20:11:29 UTC
Reproduced with:
- Version: 5.0.0.0.alpha1+
Build ID: 5984cc83fe756f7483d1ac582b8adbef5042be8b
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-07_05:11:59
Locale: fr-FR (fr_FR)

NOT reproduced with:
- Version: 5.0.0.0.alpha0+
Build ID: 35a4d80750553e7d51a6139b61c47a4f7a475ce8
TinderBox: Win-x86@42, Branch:master, Time: 2015-04-16_23:53:40
Locale: fr_FR
Comment 3 Eike Rathke 2015-11-25 22:11:06 UTC
It's even worse, any number format code is exported as is, completely localized, and not mapped to what Excel expects.
Comment 4 Jacques Guilleron 2015-11-25 22:27:26 UTC
Hi Laurent,

I confirm the problem with
LO 5.0.3.2 Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75 Locale: fr-FR fr_FR)
LO 5.1.0.0.alpha1+ Build ID: f6bc5b79c31225c02e9500d0ced4bd26f998f82b
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-24_01:07:47
LO 5.0.0.0.alpha1+ Build ID: 6664859e1e8b3f8b7db8c931b8d0335510c20ce0
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-16_03:16:31
Works without this issue with
LO 4.4.6.2 Build ID: 008d5d0ddffba0b82de2a2c36a65b9cba0a6b328 Locale : fr_FR
Under Windows 7 Home.
and by changing Number Standard for another format.
Set Status to NEW.
Comment 5 Eike Rathke 2015-11-27 21:25:51 UTC
I'm taking a stab at this..
Comment 6 Commit Notification 2015-11-27 22:23:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=509cfa40691cf544519872a63335cff4a4d94006

Resolves: tdf#96072 export Chart format codes in Excel notation

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-11-28 02:40:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c06b24dc5636e1924ece928aef25baa4fa03d30e&h=libreoffice-5-1

Resolves: tdf#96072 export Chart format codes in Excel notation

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2015-11-28 02:41:48 UTC
Pending review https://gerrit.libreoffice.org/20249 for 5-0
Comment 9 Laurent BP 2015-11-29 10:18:52 UTC
Bug fixed in Version: 5.2.0.0.alpha0+
Build ID: f863f7096bbd794b05053d734ad77dff2cffc20f
Threads 4; Ver: Windows 6.1; Render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-29_07:26:27
Locale: fr-FR (fr_FR)

Thanks Eike :-)
Comment 10 Commit Notification 2015-12-04 16:40:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fe640f407cf2b1c51a2df69880b1abd19d16681&h=libreoffice-5-0-4

Resolves: tdf#96072 export Chart format codes in Excel notation

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-12-05 01:32:53 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=446a3a06098ef75c034ae00e6671255973e7e5a0&h=libreoffice-5-0

Resolves: tdf#96072 export Chart format codes in Excel notation

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.